1 PRINT "From the February 1985 SKY & TELESCOPE, p. 158."
2 PRINT
3 PRINT "This program converts photoelectric meter readings to stellar"
4 PRINT "magnitudes.  It deals only with basics--no attempt is made to correct"
5 PRINT "for atmospheric extinction, color differences, or for nonlinearity of"
6 PRINT "the detector."
7 PRINT
8 PRINT "INPUT:  Meter readings for variable star, sky near variable star,"
9 PRINT "        comparison star, sky near comparison star, magnitude of"
10 PRINT "        comparison star."
11 PRINT
12 PRINT "OUTPUT:  Values for comparison star and variable star, magnitudes of"
13 PRINT "         comparison star and variable star."
14 PRINT
100 REM  PHOTOMETRIC REDUCTION
110 REM
115 PRINT: PRINT
120 PRINT "INPUT OBSERVATIONS:
125 PRINT
130 INPUT "VARIABLE STAR:";V
140 INPUT "SKY NEAR VARIABLE:";S
150 INPUT "COMPARISON STAR:";C
160 INPUT "SKY NEAR C STAR:";CS
165 PRINT
170 INPUT "MAG. OF C STAR:";M
180 V=V-S: C=C-CS
190 MV=2.5*LOG(C/V)/LOG(10)
195 MV=M+MV
200 PRINT: PRINT "RESULTS:"
210 PRINT "VALUE COM STAR: ";C
220 PRINT "VALUE VARIABLE: ";V
230 PRINT "MAG. COM. STAR: ";M
240 PRINT "MAG. VAR. STAR: ";MV
250 PRINT
260 INPUT "ANOTHER (Y, N)";Q$
270 IF Q$="Y" THEN GOTO 100
280 RUN"ASTRMENU.BAS"
240 PRINT 